Bug 102267 - Cannot apply an IP address to device of type CIPE, when no port is specified.
Cannot apply an IP address to device of type CIPE, when no port is specified.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-13 01:22 EDT by AstraGate Net-Admin
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 10:13:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description AstraGate Net-Admin 2003-08-13 01:22:15 EDT
Description of problem:
Cannot apply an IP address to device of type CIPE.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Goto Network Configuration
2.Create new device of type CIPE.
3.Other settings can be many things, and still same effect.  Assign an IP
address, and try to apply, and then go back.  If error does not occur, then
close, and go into network config, and see if Ip address was applied, and make
any changes and try to apply.
    
Actual results:


Expected results:


Additional info:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 491, in on_deviceEditButton_clicked
    device.commit()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/DeviceList.py", line
2487, in commit
    self.commitIP(changed)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/DeviceList.py", line
2712, in commitIP
    if self.__IP_bak != self.IP:
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/deviceconfig.py", line
112, in on_okButton_clicked
    self.dehydrate()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/cipeconfig.py",
line 133, in dehydrate
    self.device.Cipe.LocalPort =
int(self.xml.get_widget("localPortEntry").get_text())
ValueError: invalid literal for int(): 

Local variables in innermost frame:
self: <netconfpkg.gui.cipeconfig.cipeConfigDialog instance at 833efd0>
hw: eth0
fields: ['eth0', '(dynamic)']
Comment 1 AstraGate Net-Admin 2003-08-19 17:53:30 EDT
Forgot to mention that this occurs when no port is specified.  Instead of 
giving an error, it crashes.
Comment 2 Harald Hoyer 2003-09-01 10:46:34 EDT
thx! fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.